/* Written for icb by Mark Giaquinto, copyright (C) 1991 */

/*#define BSEARCH_NEED /* */

/* MAX_USERS is defined in ../murgil/ipcf.h */

/* File definitions */

#define USERDB   "/home/icb/icbdb"
#define ICBDLOG  "/home/icb/icbd.log"
#define ICBDMOTD "/home/icb/motd"
#define ICBDHELP "/home/icb/icbd_help"

#define DEBUG /* if you want debug messages */

#define DEFAULTPORT 7326
 
#define MAX_FIELDS      20      /* fields in a packet */
#define MAX_GROUPS	150	/* total groups */
#define MAX_GROUPLEN    8       /* chars in a group name */
#define MAX_IDLEN       12      /* chars in a login id */
#define MAX_INPUTSTR    (250 - MAX_NICKLEN - MAX_NICKLEN - 6) /* input line */
#define MAX_INVITES     50      /* invitations in a group */
#define MAX_NICKLEN     12      /* chars in a username */
#define MAX_NODELEN     64      /* chars in a node name */
#define MAX_NOPONG      600     /* seconds a client may not PONG a PING */
#define MAX_PASSWDLEN   12      /* chars in a user password */
#define MAX_REALLEN     64      /* chars in a real life name */
#define MAX_TEXTLEN     (80 - MAX_NICKLEN - 5)  /* max chars in a message */
#define MAX_TOPICLEN    32      /* chars in a group topic */
#define MAX_HUSHED      32      /* maximum number of hushed people */
#define MAX_NOTIFIES    48	/* maximum notifies allowed */
/*#define MAX_IDLE        5400     maximum idle seconds before disconnect */
#define MAX_IDLE        14400	/* maximum idle seconds before disconnect */
				/* note: undef to disable */
#ifdef	JRL
# define	MAX_IDLE_BOOT	3600	/* max secs before boot to IDLE_GROUP */
#endif	/* JRL */
#define MAX_MOD_IDLE	600	/* maximum idle seconds before mod passes on */
#define MAX_WRITES	20	/* maximum writes allowed to nickname */

#define PID_FILE "/home/icb/icbd.pid"

#define ACCESS_FILE "/home/icb/icbd.deny"

#ifdef	JRL
# define PERM_FILE "/home/icb/icbd.perms"
#endif	/* JRL */

/* Since sometimes gethostname doesn't do it right, if the hostname returned
   is SHORT_HOSTNAME, FQDN is used instead. */
#define SHORT_HOSTNAME "icb"
#define FQDN "icb.mydomain.org"

/* hostname to actually bind and listen as. set to null if you want to
   listen on all interfaces you have */
/* #define BIND_HOSTNAME "icb.mydomain.org" */

#define SERVER_ADMIN "root@mydomain.com"

/* The master password. Used to validate you as Admin */
#define TheKey  "bootle"

#ifdef	JRL
# define	IDLE_GROUP	"~IDLE~"	/* ~ will put it at the end */
#endif	/* JRL */
