/* Copyright (c) 1988 Carrick Sean Casey. All rights reserved. */
/* For copying and distribution information, see the file "copyright.h." */

#include <sys/param.h>

/*
 * IF YOU CHANGE MAX_USERS, make sure that your fd_set is suitably
 * big for that many users. on some systems you can include a 
 * -DFD_SETSIZE=n in the ../config file to make sure it's set big enough
 * don't forget to recompile *everything* (safest) when you change it
 */

/*#define MAX_USERS	251*/
#define MAX_USERS	1001	/* IMPORTANT: SEE NOTE ABOVE */
#define USER_BUF_SIZE	8192
#define WARN		1
#define FATAL		2

/* packet input buffer */

struct Cbuf {
	char buf[USER_BUF_SIZE];
	char *rptr;	/* pointer to location for next read */
	char new;	/* set to 1 if next read is start of new data packet */
	unsigned char size;
	unsigned char remain;	/* packet characters remaining to be read */
};
